pro cine2,init,numim,x,y,rebin,bb

;produce una movie a partir de una serie de imagenes
;tras la ejecucion de esta procedure se activa la movie con el comando:
;         IDL> animate,bytscl(bb)
;init=numero de la imagen inicial
;numin=numero de imagenes de que consta la movie
;x,y = lower left corner coordinates of the selected box.
;rebin = factor de rebineado.

;bb = matriz tridimensional de salida.

;----------------------------------------------------------

;parametros de entrada a modificar con editor

n=288       	;dimension en x
m=288       	;dimension en y
rsize=[288,288]    	;size of output images

read,'minimum rms contrast to be selected: ',rms1

st1a=string('/scratch/msobotka/data/b_dfp4.')
;st1a=string('/scratch/sob/lap95/ima/a_dfqg.')

;---------------------------------------------------------

;construye la matriz tridimensional bytarr para el movie: a

siz=rsize*rebin

bb = intarr(rsize(0),rsize(1),numim,/nozero)      
im1=intarr(n,m,/nozero)
n=0
FOR i = 0,numim-1 DO BEGIN
   dcn=strtrim(i+init,2)
   print,'Now reading image:'
   print,st1a+dcn
   openr,1,st1a+dcn
   readu,1,im1
   close,1
   dev=stdev(im1(x:x+siz(0)-1,y:y+siz(1)-1),mea)
   if dev/mea ge rms1 then begin
      print,dev/mea
      bb(0,0,n)=REBIN(im1(x:x+siz(0)-1,y:y+siz(1)-1), $
		rsize(0),rsize(1))
      n=n+1
      print,'selected:',n
   endif
ENDFOR

bb=bb(*,*,0:n-1)
bb=bytscl(bb)
print,'selected ',n,'  images from ',numim
end
