function exists,file
;+
; NAME:
;       EXISTS
; PURPOSE:
;       Look if the file FILE exists
; CALLING SEQUENCE:
;       RESULT=EXISTS(FILE)
; INPUTS:
;       FILE : String variable with the filename
; OUTPUTS:
;       Returns 1 if the file exists, 0 else
; PROCEDURE:
;       Try to open the file. if an error occurs, return 0, if not
;       return 1
; MODIFICATION HISTORY:
;       10-Jul-1992  P.Suetterlin, KIS
;-

ON_IOERROR, no

openr, unit, file, /get
free_lun, unit
ON_IOERROR, null
return, 1

No:
ON_IOERROR, null
return, 0
END

