PRO zoomap,vx,vy,im
;
;Zooming flow maps
;vx,vy - velocity components, im - underlying image

si=size(im)
window,0,xsiz=2*si(1)+5,ysiz=2*si(2)
vpd2,vx,vy,5,2,im
vpd2,vx,vy,5,2,im
window,4,xsiz=si(1),ysiz=si(2)
tvscl,im

new:
print,'Select lower left corner with a cursor'
cursor,x1,y1,/device,/down
print,'Select upper right corner with a cursor'
cursor,x2,y2,/device,/down
plots,[x1,x2,x2,x1,x1],[y1,y1,y2,y2,y1],/device,col=255
sx1=strtrim(x1,1)
sx2=strtrim(x2,1)
sy1=strtrim(y1,1)
sy2=strtrim(y2,1)
print,' '
print,'Selection:  (',sx1,':',sx2,',',sy1,':',sy2,')'
print,' '

read,'Zoom factor: ',zo
if zo lt 2 then goto,new
xs=2*zo*(x2-x1)+5
ys=2*zo*(y2-y1)
window,2,xsiz=xs,ysiz=ys
vpd2,vx(x1:x2,y1:y2),vy(x1:x2,y1:y2),3,2,im(x1:x2,y1:y2)
vpd2,vx(x1:x2,y1:y2),vy(x1:x2,y1:y2),3,2,im(x1:x2,y1:y2)

wset,4
print,'New selection? (y/n)'
if get_kbrd(1) eq 'y' then goto,new

wdelete,4
wset,0
;vpd2,vx,vy,5,2,im
;vpd2,vx,vy,5,2,im
;plots,[x1,x2,x2,x1,x1],[y1,y1,y2,y2,y1],/data,col=255

END
