pro cinema2,logarr,x1,x2,y1,y2,reb,arr

;logarr - array with seq. nos, time and contrast of images selected
;for the movie (use "vyber2.pro")
;x,y = lower left corner coordinates of the selected box.
;reb = down-scaling factor (e.g. reb=2, movie diminished twice)
;subimages will be extracted and the 3-dim movie array "arr" created
; start movie by MOVIE,ARR,ORDER=0
;Images are read by RESTORE2

st1='/scratch/mstupka/data/blue/destr.'	; CHANGE PATH...

numim=n_elements(logarr(0,*))
arr=fltarr((x2-x1+1)/reb,(y2-y1+1)/reb,numim)
     
FOR i = 0,numim-1 DO BEGIN

   seq=strtrim(string(fix(logarr(0,i))),2)
   print,'Now reading image '+seq
   restore2,st1+seq,im1

   arr(0,0,i)=congrid(im1(x1:x2,y1:y2),(x2-x1+1)/reb,(y2-y1+1)/reb,/cubic)

ENDFOR
end
