FUNCTION MODULO,I,J
;+
; NAME:
;	MODULO
; PURPOSE:
;	Simulate the operator MOD in VMS and ANA.
; CALLING SEQUENCE:
;	Result = MODULO(I,J)
; INPUTS:
;	I,J = arrays to make I MOD J.
; OUTPUTS:
;	Result = I MOD J.
; COMMON BLOCKS:
;	None.
; SIDE EFFECTS:
;	None.
; RESTRICTIONS:
;	None.
; PROCEDURE:
;	Makes I MOD J as in VMS and ANA.
; MODIFICATION HISTORY:
;	Written by Roberto Luis Molowny Horas, July 1992.
;-
;
ON_ERROR,2
	RETURN,i - j*FIX(i/j)
	END

