PRO OVEL,data,ima,reb,scale

; Old version to work with "ODO1"
;Visualization of average velocities computed by OTROK.
;Inputs: data  - resulting array of otrok
;	 ima   - underlying 70x70 image (e.g. aver(41:110,71:140))
;	 reb   - rebinning factor
;	 scale - scaling factor km/s - arrow length

s=size(data)
scale=scale*reb
window,2,xsize=70*reb,ysize=70*reb
tvscl,rebin(ima,70*reb,70*reb)

for i=0,s(2)-1 do begin
  x0=data(1,i)*reb	;beginning - average position
  y0=data(2,i)*reb
  x1=x0+data(3,i)*scale	;end - velocity magnitude
  y1=y0+data(4,i)*scale
  arrow,x0,y0,x1,y1,thick=2
endfor
  arrow,60*reb,2*reb,60*reb+scale,2*reb,thick=2,col=0	;scale 1 km/s

END
