pro ocont,ima,imc,lev
;
; modification of vpd
; CONTOURS OF IMC overplotted over IMA
; LEV ... array of contour levels
; white background, dark coordinates
;

if n_elements(lev) lt 2 then begin
   print,'usage: OCONT,IMdisplayed,IMcontoured,[lev1,lev2,lev3,...]'
   goto,fin
endif

px=!x.window*!d.x_vsize
py=!y.window*!d.y_vsize
sx=px(1)-px(0)+1
sy=py(1)-py(0)+1
print,'new image size:',sx,sy
erase
          
tv,bytarr(!d.x_vsize,!d.y_vsize)+255      ; make white background

;set_plot,'ps'
;device,filename='d;\data\palma\map.ps',/color
;loadct,3

tv,congrid(bytscl(ima),sx,sy,/cubic),px(0),py(0)
;tv,congrid(bytscl(im),sx,sy,/cubic),0,0,xsize=12.7,ysize=12.7,/centimeters

s=size(imc)
x0=0
x1=0
y0=0
y1=0

;!p.position=[0,0,0.7155,1]
;plot,[x0,x1],[y0,y1],/nodata,xrange=[0,s(1)],yrange=[0,s(2)],title='vel',$
;    xstyle=1,ystyle=1,/noerase,/normal,xthick=5,ythick=5,charthick=5

plot,[x0,x1],/nodata,xrange=[0,s(1)],yrange=[0,s(2)],xstyle=1,ystyle=1,$
/noerase,color=0,charsize=1 ; no color and charsize specification in vpd

clab=intarr(n_elements(lev))+1	; label all contours

contour,imc,xstyle=5,ystyle=5,/noerase,levels=lev, $
       color=255,/normal,c_thick=1  ;,c_labels=clab,/follow

;device,/close
;set_plot,'x'
fin:
end
