PRO P4FIG5,fig

; IDL program to create Fig.5 - divergence maps with G-band brightenings
;    of pores 4,5,6
; fig - resulting byte array with the figure

restore,'vxy4b'		;velocity maps
restore,'vxy5b'
restore,'vxy6b'
restore,'avedm'		;G-band avg. images A-B
restore,'avep'		;avg. white-light images
div4=DIVERGEN(vx4b,vy4b)	;divergence maps
div5=DIVERGEN(vx5b,vy5b)
div6=DIVERGEN(vx6b,vy6b)
loadct,0

window,2,xsiz=306,ysiz=300		;P4
OCONT,div4<0.105,avedm4,[0,145]
OCONT,div4<0.105,avedm4,[0,145]
contour,ave4,lev=[0,115],col=0,/noerase,xst=5,yst=5
fp4=tvrd()

window,2,xsiz=230,ysiz=224		;P5
OCONT,div5,avedm5,[0,153]
OCONT,div5,avedm5,[0,153]
contour,ave5,lev=[0,115],col=0,/noerase,xst=5,yst=5
fp5=tvrd()

window,2,xsiz=230,ysiz=224		;P6
OCONT,div6,avedm6,[0,138]
OCONT,div6,avedm6,[0,138]
contour,ave6,lev=[0,115],col=0,/noerase,xst=5,yst=5
fp6=tvrd()

window,2,xsiz=460,ysiz=530
tv,bytarr(460,530)+255
tvscl,fp5
tvscl,fp6(20:229,*),220,0
tvscl,fp4,0,215
xyouts,301,479,'P4',charsiz=1.5,col=0,/device
xyouts,60,214,'P5',charsiz=1.5,col=0,/device
xyouts,260,214,'P6',charsiz=1.5,col=0,/device
fig=tvrd()

END

