PRO readlog,ser,arr
;
;Reading and management of La Palma logfiles.
;Creating an array with seq.numbers of existing images
;and corresponding times (in hours).
;
file1='lg'+ser+'.txt'
file2='spo'+ser+'.lg'
print,'opening ',file1
openr,1,file1
readf,1,n
n=fix(n)
b=bytarr(28)
c=bytarr(36)
ar=fltarr(2,n)

for i=0,n-1 do begin
   readu,1,b
   readu,1,c
   a=strcompress(string(b))
   p1=strpos(a,'T')
   strput,a,'  ',p1
   ar(0,i)=float(strmid(a,0,5))-6   ; -6 is specific for s08!!
   p1=strpos(a,':')
   p2=strpos(a,'.')
   hour=float(strmid(a,7,p1-7))
   min=fix(strmid(a,p1+1,p2-p1-1))
   sec=fix(strmid(a,p2+1,2))
   ar(1,i)=hour+min/60.+sec/3600.
;   print,ar(0,i),ar(1,i)
endfor
close,1

print,'opening ',file2
openr,1,file2
readf,1,m
m=fix(m)
b=bytarr(26)
arr=fltarr(3,m)
for i=0,m-1 do begin
   readu,1,b
   seq=fix(strmid(b,3,4))  ; seq. no. of really existing image
   con=float(strmid(b,16,9))  ; original contrast
   for j=0,n-1 do begin
	if(fix(ar(0,j)) eq seq) then begin 
	   arr(0,i)=ar(0,j)
	   arr(1,i)=ar(1,j)
           arr(2,i)=con
	endif
   endfor
endfor
close,1

END
